Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.security
Class KeyBootstrap

    java.lang.Object
      com.beasys.commerce.ebusiness.security.KeyBootstrap

All Implemented Interfaces:
  Schedulable, T3StartupDef, Triggerable

public class KeyBootstrap
extends Object
implements T3StartupDef, Schedulable, Triggerable

Used as a startup class to bootstrap public and private keys. Checks a property in the commerce.properties file to determine if the application wants to be encryption enabled. The property is is.encryption.enabled=true/false

Constructor Summary
`KeyBootstrap()` Constructor comment.

Method Summary
`boolean` | `bindKeys()` This does most of the work in the class.
`long` | `schedule(long t)` Callback from WLS to renew the scheduled callback.
`void` | `setServices(T3ServicesDef services)` setServices method comment.
`String` | `startup(String name, Hashtable props)` Implements T3StartupDef gets called by the container as part of startup
`void` | `trigger(Schedulable sched)` Timed callback from WLS used to maintain a reference to the KeyFactory to prevent its garbage collection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyBootstrap

    public KeyBootstrap()

  Constructor comment.

Method Detail

### bindKeys

    public boolean bindKeys()
                     throws Exception

  This does most of the work in the class.

  Throws:
    `Exception`

### schedule

    public long schedule(long t)

  Callback from WLS to renew the scheduled callback.

  Specified by:
    `schedule` in interface `Schedulable`
  Parameters:
    `t` - the current time.
  Returns:
    The time of the next callback.

### setServices

    public void setServices(T3ServicesDef services)

  setServices method comment.

  Specified by:
    `setServices` in interface `T3StartupDef`

### startup

    public String startup(String name,
                          Hashtable props)
                   throws Exception

  Implements T3StartupDef gets called by the container as part of startup

  Specified by:
    `startup` in interface `T3StartupDef`
  Returns:
    String Message that gets put in the weblogic log.
  Throws:
    `Exception`

### trigger

    public void trigger(Schedulable sched)

  Timed callback from WLS used to maintain a reference to the KeyFactory to prevent its garbage collection.

  Specified by:
    `trigger` in interface `Triggerable`
  Parameters:
    `sched` - (not used)
  Returns:
    The time of the next callback.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved